from enum import Enum

CENTRAL_GOV_AND_CENTRAL_BANK_RF = 0.016
CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF = 0.016
OTHER_COUNTERPARTIES_RF = 0.08


class RiskFactors(Enum):
    """
    This Enum class maps FIRE customer type to the associated risk factor as described in Table 2 Article 26 of IFR
    """
    building_society = OTHER_COUNTERPARTIES_RF
    ccp = OTHER_COUNTERPARTIES_RF
    central_bank = CENTRAL_GOV_AND_CENTRAL_BANK_RF
    central_govt = CENTRAL_GOV_AND_CENTRAL_BANK_RF
    charity = OTHER_COUNTERPARTIES_RF
    ciu = OTHER_COUNTERPARTIES_RF
    community_charity = OTHER_COUNTERPARTIES_RF
    corporate = OTHER_COUNTERPARTIES_RF
    credit_institution = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    credit_union = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    deposit_broker = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    financial = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    financial_holding = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    individual = OTHER_COUNTERPARTIES_RF
    insurer = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    intl_org = OTHER_COUNTERPARTIES_RF
    investment_firm = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    local_authority = OTHER_COUNTERPARTIES_RF
    mdb = OTHER_COUNTERPARTIES_RF
    mmkt_fund = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    natural_person = OTHER_COUNTERPARTIES_RF
    other = OTHER_COUNTERPARTIES_RF
    other_financial = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    other_pse = OTHER_COUNTERPARTIES_RF
    partnership = OTHER_COUNTERPARTIES_RF
    pension_fund = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    pic = OTHER_COUNTERPARTIES_RF
    promotional_lender = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    pse = OTHER_COUNTERPARTIES_RF
    public_corporation = OTHER_COUNTERPARTIES_RF
    qccp = OTHER_COUNTERPARTIES_RF
    regional_govt = OTHER_COUNTERPARTIES_RF
    sme = OTHER_COUNTERPARTIES_RF
    social_security_fund = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    sovereign = CENTRAL_GOV_AND_CENTRAL_BANK_RF
    sspe = OTHER_COUNTERPARTIES_RF
    state_owned_bank = CREDIT_INSTITUTION_INVESTMENT_FIRMS_RF
    statutory_board = OTHER_COUNTERPARTIES_RF
    supported_sme = OTHER_COUNTERPARTIES_RF
    unincorporated_biz = OTHER_COUNTERPARTIES_RF
